Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
NVIDIA and Linux 5.5
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
adomas
n00b
n00b


Joined: 04 May 2011
Posts: 18
Location: Berlin, Germany

PostPosted: Fri Jan 31, 2020 10:31 am    Post subject: NVIDIA and Linux 5.5 Reply with quote

Hello,

I'm trying to get NVIDIA drivers running on Linux 5.5.0. Initially it was failing, but to that failure I found a solution here:
https://forums.gentoo.org/viewtopic-t-1107536.html

It seems it needed a patch to be compatible with Linux 5.5.0, but now I ran into a second problem:

My kernel is built with genkernel all and as wiki says here:

https://wiki.gentoo.org/wiki/NVIDIA/nvidia-drivers#Kernel_compatibility

It should be compatible with NVIDIA drivers when genkernel is used. But when I compile NVIDIA drivers I get that CONFIG_I2C_NVIDIA_GPU should be not set, I check kernel config file and it is set to compile as module. I tried to edit .config file and run genkernel all again, but genkernel overwrites my changes with some autodetection.

So my question is, how can I properly install NVIDIA drivers? :/ Or to be more precise, how to tell genkernel to unset CONFIG_I2C_NVIDIA_GPU? Do I need to do manual kernel compilation?

And is it a mistake in wiki that is says with genkernel all everything should be ready for NVIDIA? :/
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 23496
Location: here

PostPosted: Fri Jan 31, 2020 10:45 am    Post subject: Reply with quote

Use genkernel with --menuconfig option
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
viio
n00b
n00b


Joined: 17 Mar 2020
Posts: 26

PostPosted: Wed Apr 01, 2020 8:53 am    Post subject: Reply with quote

I am also getting this message:
Code:
CONFIG_I2C_NVIDIA_GPU:      should not be set. But it is.


My Kernel is "5.4.28-gentoo-x86_64"

However, after this message nothing special happens.
Emerge installs all packages and it works afterwards.

Should I change this option to OFF in the kernel?
Or should I just keep it as it is - since it works fine?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum